No sound with Audigy 4

Bug #408370 reported by Lollerke on 2009-08-03
32
This bug affects 8 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Lollerke
alsa-utils (Ubuntu)
Wishlist
Daniel T Chen
Nominated for Karmic by Lollerke
pulseaudio (Ubuntu)
Low
Daniel T Chen
Nominated for Karmic by Lollerke

Bug Description

Karmic Koala Alpha 4

Linux version 2.6.31-5-generic (buildd@palmer) (gcc version 4.4.1 (Ubuntu 4.4.1-1ubuntu1) ) #24-Ubuntu SMP Sat Aug 1 12:48:18 UTC 2009

 0 [Audigy2 ]: Audigy2 - SB Audigy 4 [SB0610]
                      SB Audigy 4 [SB0610] (rev.0, serial:0x10211102) at 0xe800, irq 20

If I enable "Audigy Analog/Digital Output Jack" in alsamixer it still doesn't work.

Solved! : The problem was IEC958 Optical Raw in alsamixer. It was On by default,if i turn it off I get sound.

Lollerke (pumba88) on 2009-08-03
affects: gnome-alsamixer (Ubuntu) → alsa-driver (Ubuntu)
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Lollerke (pumba88) wrote :
description: updated
description: updated

Please run this command in a terminal: apport-collect -p alsa-base 408370"

Have you tried running an application through alsa, and not using pulseaudio?

 affects ubuntu/alsa-driver
 status incomplete

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: balazs 2630 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Audigy2'/'SB Audigy 4 [SB0610] (rev.0, serial:0x10211102) at 0xe800, irq 20'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 202
   Simple ctrls : 37
DistroRelease: Ubuntu 9.10
Package: alsa-base 1.0.20+dfsg-1ubuntu4
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-4.23-generic
Uname: Linux 2.6.31-4-generic i686
UserGroups:

Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Lollerke (pumba88) wrote :
Changed in alsa-driver (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Lollerke (pumba88) wrote :

"Have you tried running an application through alsa, and not using pulseaudio?"

How can I do that?

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: carbatista 3526 F.... pulseaudio
 /dev/snd/controlC2: carbatista 3526 F.... pulseaudio
 /dev/snd/controlC0: carbatista 3526 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Audigy2'/'SB Audigy 2 [SB0240] (rev.4, serial:0x10071102) at 0xb800, irq 23'
   Mixer name : 'SigmaTel STAC9721,23'
   Components : 'AC97a:83847609'
   Controls : 214
   Simple ctrls : 49
Card1.Amixer.info:
 Card hw:1 'U0x46d0x9a4'/'USB Device 0x46d:0x9a4 at usb-0000:00:1d.7-4, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:09a4'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined
   Capture channels: Mono
   Limits: Capture 0 - 3072
   Mono: Capture 3072 [100%] [23.00dB] [on]
Card2.Amixer.info:
 Card hw:2 'Intel'/'HDA Intel at 0xfebf8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,104381e1,00100400'
   Controls : 49
   Simple ctrls : 27
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Alpha amd64 (20090722.2)
NonfreeKernelModules: nvidia
Package: alsa-base 1.0.20+dfsg-1ubuntu4
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-7.27-generic
Uname: Linux 2.6.31-7-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :
carbatista (carbatista-gmail) wrote :

Please type the command in a Terminal.

On Aug 3, 2009 11:10 AM, "Lollerke" <email address hidden> wrote:

"Have you tried running an application through alsa, and not using
pulseaudio?"
How can I do that?

-- No sound with Audigy 4 https://bugs.launchpad.net/bugs/408370 You
received this bug notificatio...

On Mon, Aug 3, 2009 at 9:10 AM, Lollerke<email address hidden> wrote:
> If I enable "Audigy Analog/Digital Output Jack" it still doesn't work.

Note that Surround, Center, LFE, Side are all set to zero.

Yours is one of those Sigmatels that horribly pains me. So, you need
to check the playback levels of Analog Mix, Analog/Digital Output
Jack, and External Amplifier.

Changed in alsa-driver (Ubuntu):
status: New → Won't Fix

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: wesley 4045 F.... mixer_applet2
Card0.Amixer.info:
 Card hw:0 'Audigy2'/'Audigy 4 [SB0610] (rev.0, serial:0x10211102) at 0xcc00, irq 16'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 201
   Simple ctrls : 36
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: alsa-base 1.0.18.dfsg-1ubuntu8
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.28-15-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
wesgray (wesgray1113) wrote :
Lollerke (pumba88) wrote :

The problem was IEC958 Optical Raw in alsamixer. It was On by default,if i turn it off I get sound.

description: updated
Daniel T Chen (crimsun) on 2009-08-27
affects: linux (Ubuntu) → alsa-utils (Ubuntu)
Changed in alsa-utils (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Wishlist
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-utils - 1.0.20-2ubuntu3

---------------
alsa-utils (1.0.20-2ubuntu3) karmic; urgency=low

  * debian/init: Mute "IEC958 Optical Raw" by default (LP: #408370)

 -- Daniel T Chen <email address hidden> Thu, 27 Aug 2009 09:31:11 -0400

Changed in alsa-utils (Ubuntu):
status: Fix Committed → Fix Released
Daniel T Chen (crimsun) on 2009-09-17
Changed in pulseaudio (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.17-0ubuntu2

---------------
pulseaudio (1:0.9.17-0ubuntu2) karmic; urgency=low

  * debian/patches/:
    + 0051-fix-sigfpe-mcalign.patch: Handle div by zero attempts
      (LP: #412224)
    + 0052-backport-56b6e18030.patch: Backport fixes from git HEAD
      (56b6e18030b5a467946bd0a5803ec119efccdc8a)
    + 0053-fix-output-element.patch: Fix misspelling of Surround
    + 0054-mute-iec958-optical-raw-for-audigyX.patch: Mute
      IEC958 Optical Raw by default (LP: #400629, #408370)

 -- Daniel T Chen <email address hidden> Thu, 17 Sep 2009 19:57:15 -0400

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
hype (hypeuser-lp) wrote :

Thanks a lot :)

To post a comment you must log in.